#ifndef CONTRAST_H
#include "util.h"

#include <cv.h>
#include <highgui.h>
#include <math.h>
#include <stdio.h>


#ifdef __cplusplus
    extern "C" {
#endif

IplImage *contrast_map(IplImage *img, int theta, double sigma);
IplImage *processa_nivel_abaixo(IplImage *img, IplImage **img_half, int window, int sigma);

uchar calcula_nivel_acima(int valor_i, int valor_i_1, double peso);
void junta_niveis(IplImage *nivel_i, IplImage *nivel_i1, double peso) ;
CvContour *processa_usando_piramide(IplImage *img, IplImage **contraste, int w);
void processa_normal(IplImage *img);
IplImage *pega_linhas(IplImage *img_color);
IplImage *segmenta_imagem(IplImage *linhas, CvContour *produtos);

#ifdef __cplusplus
    }
#endif

#endif
